Record Class EstateFinding.Evidence
java.lang.Object
java.lang.Record
com.eqixiac.equinix.design.estate.EstateFinding.Evidence
- Record Components:
label- what it measures, for examplep95 utilisationvalue- the value as text, for example112.4unit- the unit, for exampleMbps, ornullsource- where it came from, for exampleinventory: GET /fabric/v4/portsormetrics: equinix.fabric.connection.bandwidth_tx.usagewindow- the time window or as-of time it applies to, ornull
- Enclosing class:
EstateFinding
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionfinal booleanIndicates whether some other object is "equal to" this one.final inthashCode()Returns a hash code value for this object.label()Returns the value of thelabelrecord component.source()Returns the value of thesourcerecord component.final StringtoString()Returns a string representation of this record class.unit()Returns the value of theunitrecord component.value()Returns the value of thevaluerecord component.window()Returns the value of thewindowrecord component.
-
Constructor Details
-
Evidence
Creates an instance of aEvidencerecord class.
-
-
Method Details
-
toString
-
hashCode
-
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
label
-
value
-
unit
-
source
-
window
-